Subject: Re: [PATCH v3 0/2] Fix two hook conversion regressions

From: Adrian Ratiu <[email-masked]>
Date: Thu, 15 Jan 2026 23:24:37 +0200

On Thu, 15 Jan 2026, Junio C Hamano <[email-masked]> wrote:
> Adrian Ratiu <[email-masked]> writes:
>
>> On Thu, 15 Jan 2026, Junio C Hamano <[email-masked]> wrote:
>>> Adrian Ratiu <[email-masked]> writes:
>>>
>>>> I agree with this.
>>>>
>>>> We can't let these two regressions enter a release, so we have two
>>>> real chices:
>>>>
>>>> 1. Merge both fixes to 1.53 or
>>>> 2. Revert the 'ar/run-command-hook' topic merge.
>>>
>>> Hmph, at this early point in the late release cycle before -rc1
>>> (yes, rc0 is scheduled for this morning, but that is not really a
>>> release candidate that counts as anything), it is tempting to take
>>> #2, actually.  I just do not know how much damage such a revert
>>> would cause to the tree.  I'll experiment after I finish cutting the
>>> -rc0 preview release.
>>
>> I do not expect any conflicts and, if there any, they should be trivial.
>>
>> Let me know if you need any help.
>
> Thanks.  I think I got
>
>  - revert of ar/run-command-hook directly on top of 2.53-rc0, which
>    would become the tip of 'master' tomorrow.
>
>  - rebuild of ar/run-command-hook + two fix-up topics on top of it,
>    called ar/run-command-hook-take-2
>
> as the "take-2" topic is totally outside 'next', we can rebuild the
> entire topic and get it right the first time, instead of
> incrementally fixing them on top.

Cool. I'll integrate the fixes into the series and send v7 continuing
where we left off.

Though I'll send the new test separately, in advance: there's no use
blocking the new regression tests after the hooks conversions.